## fast5 0~20150918

=== src/Makefile ===
a: a.cpp fast5.hpp hdf5_tools.hpp
	g++ -std=c++11 -O0 -g3 -ggdb -fno-eliminate-unused-debug-types -Wall -Wextra -pedantic -Wno-unused-parameter -o $@ $^ -L /usr/local/lib -lhdf5
