=== debian/changelog ===
fast5 (0~20150918-1) unstable; urgency=low

  * Initial release - upstream git revision 0639cc5 (Closes: #811460)

 -- Afif Elghraoui <afif@ghraoui.name>  Tue, 19 Jan 2016 21:00:20 -0800
