=== debian/control ===
Source: fast5
Section: libs
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
	Afif Elghraoui <afif@ghraoui.name>,
Build-Depends:
	debhelper (>= 9),
Standards-Version: 3.9.6
Homepage: https://github.com/mateidavid/fast5
Vcs-Git: git://anonscm.debian.org/debian-med/fast5.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/fast5.git

Package: libfast5-dev
Section: libdevel
Architecture: all
Depends:
	${misc:Depends},
	libhdf5-dev | libhdf5-mpich-dev | libhdf5-openmpi-dev,
Description: library for reading Oxford Nanopore Fast5 files -- headers
 A lightweight C++11 library to read raw signal data from Oxford
 Nanopore's FAST5 files.
 .
 This package provides the header files for development with fast5.
