=== debian/tests/control ===
Test-Command: cd src && make; make clean
Depends:
	@,
	make,
Restrictions:
	rw-build-tree,
