=== debian/watch ===
version=3

# Upstream has no formal releases for this project. We update this
# as needed for nanopolish (where it's bundled)
