## fast5 0.5.6

=== debian/changelog ===
fast5 (0.5.6-1) unstable; urgency=medium

  * Activate d/watch
  * Imported Upstream version 0.5.6 (Closes: #832035)
  * Update copyright years and email address
  * Change section to science
  * Bump Standards-Version to 3.9.8
  * Use encrypted protocols for VCS URLs
  * Remove obsolete autopkgtest
  * Update patches
  * Update name of README
  * Remove obsolete examples

 -- Afif Elghraoui <afif@debian.org>  Thu, 11 Aug 2016 23:09:17 -0700
