=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: fast5
-Section: libs
+Section: science
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders:
-	Afif Elghraoui <afif@ghraoui.name>,
+Uploaders: Afif Elghraoui <afif@debian.org>
 Build-Depends:
 	debhelper (>= 9),
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/mateidavid/fast5
-Vcs-Git: git://anonscm.debian.org/debian-med/fast5.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/fast5.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/fast5.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/fast5.git
 
 Package: libfast5-dev
 Section: libdevel
