=== debian/changelog ===
fast5 (0.5.8-1) unstable; urgency=medium

  * Imported Upstream version 0.5.8
  * New binary packages: python-fast5 and python3-fast5
  * Install examples and configure tests

 -- Afif Elghraoui <afif@debian.org>  Thu, 20 Oct 2016 23:24:01 -0700
