=== debian/control ===
--- 
+++ 
@@ -5,6 +5,13 @@
 Uploaders: Afif Elghraoui <afif@debian.org>
 Build-Depends:
 	debhelper (>= 9),
+	dh-python,
+	libhdf5-dev,
+	libboost-python-dev,
+	python-all-dev,
+	python-setuptools,
+	python3-all-dev,
+	python3-setuptools,
 Standards-Version: 3.9.8
 Homepage: https://github.com/mateidavid/fast5
 Vcs-Git: https://anonscm.debian.org/git/debian-med/fast5.git
@@ -21,3 +28,29 @@
  Nanopore's FAST5 files.
  .
  This package provides the header files for development with fast5.
+
+Package: python-fast5
+Section: python
+Architecture: any
+Depends:
+	${shlibs:Depends},
+	${misc:Depends},
+	${python:Depends},
+Description: library for reading Oxford Nanopore Fast5 files -- Python 2
+ A lightweight C++11 library to read raw signal data from Oxford
+ Nanopore's FAST5 files.
+ .
+ This package provides the Python 2 library
+
+Package: python3-fast5
+Section: python
+Architecture: any
+Depends:
+	${shlibs:Depends},
+	${misc:Depends},
+	${python3:Depends},
+Description: library for reading Oxford Nanopore Fast5 files -- Python 3
+ A lightweight C++11 library to read raw signal data from Oxford
+ Nanopore's FAST5 files.
+ .
+ This package provides the Python 3 library
