=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
export LC_ALL=C.UTF-8
include /usr/share/dpkg/default.mk

export PYBUILD_NAME=fast5

export HDF5_INCLUDE_DIR=/usr/include/hdf5/serial
export HDF5_LIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
export BOOST_LIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@ --with python2,python3 --buildsystem=pybuild \
	--sourcedirectory=python

override_dh_auto_build:
	mkdir -p src/fast5
	ln -sf ../hdf5_tools.hpp src/fast5/hdf5_tools.hpp
	dh_auto_build

override_dh_auto_test:
	cd src && $(MAKE) CPPFLAGS=-I$(CURDIR)/src

override_dh_auto_clean:
	cd src && $(MAKE) clean
	$(RM) -r src/fast5
	dh_auto_clean

override_dh_compress:
	dh_compress -X .cpp
