=== debian/tests/control ===
Test-Command:
	cp /usr/share/doc/libfast5-dev/examples/* $ADTTMP
	&& cd $ADTTMP
	&& make
Depends:
	build-essential,
	libfast5-dev,

Test-Command:
	python -c "import fast5"
Depends:
	python-fast5

Test-Command:
	python3 -c "import fast5"
Depends:
	python3-fast5
