## fast5 0.6.3

=== debian/changelog ===
fast5 (0.6.3-1ubuntu1) artful; urgency=medium

  * Allow stderr output in autpkgtests to ignore
    notes emitted by GCC7 on armhf.

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 18 Oct 2017 09:44:29 +0000

fast5 (0.6.3-1) unstable; urgency=medium

  * New upstream version
  * Vastly simplified packaging after upstream patches accepted
  * Don't hard-code hdf5-serial
  * Fix source build in autopkgtest (Closes: #876283)

 -- Afif Elghraoui <afif@debian.org>  Tue, 17 Oct 2017 20:03:31 -0400

fast5 (0.6.2-7) unstable; urgency=medium

  * Reorganize executables package
    - replace python{,3}-fast5-bin with fast5
    - require executables package version to match
      library version

 -- Afif Elghraoui <afif@debian.org>  Sun, 01 Oct 2017 11:55:15 -0400

fast5 (0.6.2-6) unstable; urgency=medium

  * Team upload
  * Create yet another dir before moving files.
    Now truly Closes: #875991

 -- Steffen Moeller <moeller@debian.org>  Sun, 17 Sep 2017 17:40:44 +0200

fast5 (0.6.2-5) unstable; urgency=medium

  * Team upload
  * Fix clean target
  * Create dir before moving files
    Closes: #875991
  * DEP3
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Sun, 17 Sep 2017 07:37:57 +0200

fast5 (0.6.2-4) unstable; urgency=medium

  * Added build dependency on cython.

 -- Steffen Moeller <moeller@debian.org>  Sat, 16 Sep 2017 23:36:27 +0200

fast5 (0.6.2-3) unstable; urgency=medium

  * Completed include files to be redistributed
    for a functional package.

 -- Steffen Moeller <moeller@debian.org>  Fri, 15 Sep 2017 19:20:53 +0200

fast5 (0.6.2-2) unstable; urgency=medium

  * Corrected for erroneously declared conflict
    between python3-fast5 and python-fast5.

 -- Steffen Moeller <moeller@debian.org>  Fri, 15 Sep 2017 18:19:20 +0200

fast5 (0.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Updated policy to 4.1.0 (no changes reguired)
  * Patches
    - Uncommented two older patches that do not seem to fit current
      build structure
    - Added patch for gcc-7 compatibility
    - Added patch to adjusted include path for hdf5.h
  * ./debian/rules binary works, still trouble with generated files
  * Added separate packages for the binaries to avoid conflicts between
    the Python2 and Python3 versions of the same binaries.

 -- Steffen Moeller <moeller@debian.org>  Fri, 15 Sep 2017 13:46:49 +0200

fast5 (0.5.9-1) UNRELEASED; urgency=medium

  * Imported Upstream version 0.5.9
  * Update patches

  * d/debian/upstream/metadata: References to registries
    (Steffen Moeller)

 -- Afif Elghraoui <afif@debian.org>  Thu, 29 Dec 2016 00:43:11 -0800
