=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fast5
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Afif Elghraoui <afif@debian.org>
 Build-Depends:
 	debhelper (>= 9),
@@ -12,10 +13,24 @@
 	python-setuptools,
 	python3-all-dev,
 	python3-setuptools,
-Standards-Version: 3.9.8
+	cython,
+	cython3
+Standards-Version: 4.1.0
 Homepage: https://github.com/mateidavid/fast5
 Vcs-Git: https://anonscm.debian.org/git/debian-med/fast5.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/fast5.git
+
+Package: fast5
+Architecture: all
+Depends:
+	${misc:Depends},
+	${python3:Depends},
+	python3-fast5 (>= ${source:Version}),
+Description: utilities for manipulating Oxford Nanopore Fast5 files
+ The data produced by Oxford Nanopore Technologies (ONT) sequencers
+ are stored in fast5 files, based on the HDF5 file format, with one
+ file per sequenced read. This package provides utilities to inspect
+ these files, as well as to pack them for more effficient use.
 
 Package: libfast5-dev
 Section: libdevel
