## fast5 0.6.5

=== python/Makefile ===
--- 
+++ 
@@ -1,3 +1,10 @@
+#
+# Part of: https://github.com/mateidavid/fast5
+#
+# (c) 2017: Matei David, Ontario Institute for Cancer Research
+# MIT License
+#
+
 .SUFFIXES:
 MAKEFLAGS += -r
 SHELL := /bin/bash
@@ -16,16 +23,21 @@
 
 clean: ## Remove build products
 	${PYTHON} setup.py clean
-	rm -rf fast5.egg-info build dist
-	find fast5/ \( -name '*.pyc' -o -name '*.so' \) -delete
+	rm -rf build dist fast5.egg-info fast5*.so
 
 check_virtualenv:
 	@[ "$$VIRTUAL_ENV" ] || { echo "not in a virtualenv" >&2; exit 1; }
 
-develop: check_virtualenv clean ## Install in develop mode to current virtualenv
+install: check_virtualenv ## Install to current virtualenv
+	${PYTHON} setup.py install
+
+install-user: ## Install to current user
+	${PYTHON} setup.py install --user
+
+develop: check_virtualenv ## Install in develop mode to current virtualenv
 	${PYTHON} setup.py develop
 
-develop-user: clean ## Install in develop mode to current user
+develop-user: ## Install in develop mode to current user
 	${PYTHON} setup.py develop --user
 
 develop-uninstall: check_virtualenv clean ## Uninstall from current virtualenv
