=== debian/changelog ===
fast5 (0.6.5-9build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:02:53 +0000

fast5 (0.6.5-9build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:14:45 +0000

fast5 (0.6.5-9build1) plucky; urgency=medium

  * No-change rebuild against libhdf5-310

 -- Miriam España Acebal <miriam.espana@canonical.com>  Sun, 26 Jan 2025 10:52:59 +0000

fast5 (0.6.5-9) unstable; urgency=medium

  * Team upload.
  * New patch hdf5-1.14.patch: set -DH5_USE_110_API into src/Makefile
    as well, to fix autopkgtest
    Closes: #1090898

 -- Gilles Filippini <pini@debian.org>  Sat, 21 Dec 2024 22:43:21 +0100

fast5 (0.6.5-8) unstable; urgency=medium

  * d/control: set CPPFLAGS to add -DH5_USE_110_API.
    This fixes build failure with hdfs5 1.14.
    Thanks to Gilles Filippini <pini@debian.org> (Closes: #1078976)
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Wed, 21 Aug 2024 16:53:26 +0200

fast5 (0.6.5-7) unstable; urgency=medium

  * d/control: add myself to uploaders.
  * Add gcc-12.patch: fix ftbfs with gcc-12. (Closes: #1012919)
  * Standards-Version: 4.6.1 (routine-update)
  * Add build-flags.patch: propagate standard debian build flags.
  * d/rules: remove redundant build flag setting.

 -- Étienne Mollier <emollier@debian.org>  Sun, 26 Jun 2022 14:41:32 +0200

fast5 (0.6.5-6) unstable; urgency=medium

  * Really fix watch file
  * Add missing build dependency on dh addon.

 -- Andreas Tille <tille@debian.org>  Tue, 18 Jan 2022 08:02:24 +0100

fast5 (0.6.5-5) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints.
    + python3-fast5: Add Multi-Arch: same.

 -- Andreas Tille <tille@debian.org>  Mon, 11 Oct 2021 10:48:59 +0200

fast5 (0.6.5-4) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * Drop Python2 call completely from autopkg test, (Closes: #943427)
    Fix courtesy of Matthias Klose <doko@ubuntu.com>; thanks!

  [ Andreas Tille ]
  * Standards-Version: 4.4.1
  * debian/copyright: Use spaces rather than tabs in continuation lines.
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Thu, 21 Nov 2019 09:14:17 +0100

fast5 (0.6.5-3) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Andreas Tille ]
  * Afif removed himself from Uploaders
  * Add myself as Uploader
  * Drop Python2 support
    Closes: #936504
  * Simplify watch file
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Remove trailing whitespace in debian/copyright
  * Drop deprecated restrictions . See https://salsa.debian.org/ci-
    team/autopkgtest/tree/master/doc/README.package-tests.rst

 -- Andreas Tille <tille@debian.org>  Wed, 04 Sep 2019 15:01:52 +0200

fast5 (0.6.5-2) unstable; urgency=medium

  * Team upload.
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Do not install example binaries to enable reproducible builds
    (thanks for the patch to Chris Lamb <lamby@debian.org>)
    Closes: #910655
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test

 -- Andreas Tille <tille@debian.org>  Tue, 09 Oct 2018 14:34:41 +0200

fast5 (0.6.5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version 4.1.3
  * Debhelper compat 11

 -- Afif Elghraoui <afif@debian.org>  Sat, 17 Feb 2018 20:43:22 -0500

fast5 (0.6.4-2) unstable; urgency=low

  * Allow stderr output in autpkgtests to ignore notes
    emitted by GCC7 on armhf.
    Thanks to Graham Inggs
  * Bump Standards-Version to 4.1.2

 -- Afif Elghraoui <afif@debian.org>  Sat, 16 Dec 2017 00:13:32 -0500

fast5 (0.6.4-1) unstable; urgency=medium

  * New upstream version
  * Bump Standards-Version to 4.1.1
  * Bump copyright years

 -- Afif Elghraoui <afif@debian.org>  Fri, 10 Nov 2017 15:56:45 -0500
