=== debian/control ===
Source: fast5
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Étienne Mollier <emollier@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               libhdf5-dev,
               libboost-python-dev,
               python3-all-dev,
               python3-setuptools,
               cython3,
               debhelper
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/fast5
Vcs-Git: https://salsa.debian.org/med-team/fast5.git
Homepage: https://github.com/mateidavid/fast5
Rules-Requires-Root: no

Package: fast5
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-fast5 (>= ${source:Version})
Description: utilities for manipulating Oxford Nanopore Fast5 files
 The data produced by Oxford Nanopore Technologies (ONT) sequencers
 are stored in fast5 files, based on the HDF5 file format, with one
 file per sequenced read. This package provides utilities to inspect
 these files, as well as to pack them for more effficient use.

Package: libfast5-dev
Architecture: all
Section: libdevel
Depends: ${misc:Depends},
         libhdf5-dev | libhdf5-mpich-dev | libhdf5-openmpi-dev
Description: library for reading Oxford Nanopore Fast5 files -- headers
 A lightweight C++11 library to read raw signal data from Oxford
 Nanopore's FAST5 files.
 .
 This package provides the header files for development with fast5.

Package: python3-fast5
Architecture: any
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Multi-Arch: same
Description: library for reading Oxford Nanopore Fast5 files -- Python 3
 A lightweight C++11 library to read raw signal data from Oxford
 Nanopore's FAST5 files.
 .
 This package provides the Python 3 library
