=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
export LC_ALL=C.UTF-8
include /usr/share/dpkg/default.mk

export PYBUILD_NAME=fast5

export HDF5_INCLUDE_DIR=/usr/include/hdf5/serial
export HDF5_LIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
export BOOST_LIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND=-DH5_USE_110_API

%:
	dh $@ --with python3 --buildsystem=pybuild \
	--sourcedirectory=python

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd src && $(MAKE)
endif

override_dh_auto_clean: clean-examples
	dh_auto_clean
	rm -rf python/fast5/fast5.cpp

.PHONY: clean-examples
clean-examples:
	cd src && $(MAKE) clean

override_dh_compress: clean-examples
	dh_compress -X .cpp -X .hpp

override_dh_install:
	dh_install
	mkdir -p debian/fast5/usr/bin/
	mv debian/python3-fast5/usr/bin/* debian/fast5/usr/bin/
