=== debian/tests/control ===
Test-Command:
	cp /usr/share/doc/libfast5-dev/examples/* $AUTOPKGTEST_TMP
	&& cd $AUTOPKGTEST_TMP
	&& make FAST5_DIR=/usr/include
	HDF5_INCLUDE_DIR=/usr/include/hdf5/serial
	HDF5_LIB_DIR=/usr/lib/$(gcc -print-multiarch)/hdf5/serial
Depends:
	build-essential,
	libfast5-dev,
Restrictions: allow-stderr

Test-Command:
	python3 -c "import fast5"
Depends:
	python3-fast5
