=== debian/watch ===
version=4

https://github.com/mateidavid/fast5/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
