## fast5 research-1.0.12

=== requirements.txt ===
# fast5_research requirements. 
# Use comment lines or inline comments to document why we are using particular versions
h5py
numpy<=1.13.3 # parsing of asicb commands broken with 1.14
progressbar2
